import chalk from "chalk";
import fs from "fs";
import kill from "../utils/kill.js";
let root = "";
let isVerbose = false;
export const setVerbosity = (_isVerbose) => (isVerbose = _isVerbose);
export var LogLevel;
(function (LogLevel) {
    LogLevel["MESSAGE"] = "message";
    LogLevel["ERROR"] = "error";
})(LogLevel || (LogLevel = {}));
export const setRoot = (path) => {
    root = path;
};
export const selfDestroy = (error, logLevel = LogLevel.MESSAGE) => {
    if ((error && isVerbose) || logLevel == LogLevel.MESSAGE)
        console.error(chalk.red(error));
    kill();
    fs.rmSync(root, {
        recursive: true,
        force: true,
    });
    process.exit(1);
};
//# sourceMappingURL=selfDestroy.js.map